#ifndef SVN_RA_LIBRARY_HH
#define SVN_RA_LIBRARY_HH

#include <boost/utility.hpp>
#include <string>
#include <svn_ra.h>

namespace svn {

class Pool;

namespace ra {

/**
 * Global object which knows about RA libraries and can find one for a URL.
 **/
class Libraries : private boost::noncopyable {
        friend class Library;

    public:
        Libraries(Pool &p);

    protected:
        void *me;
};

/**
 * A library for accessing a repository over a specific URL scheme.
 **/
class Library : private boost::noncopyable {
        friend class Session;

    public:
        Library(Libraries &libs, const std::string &url, Pool &p);

        std::string getName() const;
        std::string getDescription() const;

    protected:
        svn_ra_plugin_t *me;
};

}
}

#endif
