#include <svn/repos/repository.hh>
#include <svn/exception.hh>
#include <svn_repos.h>

namespace svn {
namespace repos {

Repository::Repository(const std::string &path, Pool &pool, Mode mode) {
    if (create) {
        Exception::handle(svn_repos_create(&me, path.c_str(), pool));
    } else {
        Exception::handle(svn_repos_open(&me, path.c_str(), pool));
    }
}

Repository::~Repository() {
    Exception::handle(svn_repos_close(me));
}

}
}
